### Virtual Method

# Ide BuildSystem supports_language

#### Declaration

    gboolean
    supports_language (
      IdeBuildSystem* self,
      const char* language
    )

#### Description

Returns `TRUE` if `self` in it’s current configuration is known to support `language`.

Available since: | 41.0

#### Parameters

`language` | `const char*`
| The language identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `language` is supported, otherwise `FALSE`.